# Bootstrap Input Autocomplete

## Description
Autocomplete on a text input field with Bootstrap dropdown and Ajax data source

## Usage
### Résultat
<img alt="README-2c4371e9.png" src="assets/README-2c4371e9.png" width="" height="" >

### Code
#### `index.html`
The example below don't have any styling to it
```html
<!-- Input field -->
<input type="text" class="inputAutocomplete">

<!-- Bootstrap Input Autocomplete script -->
<script src="jquery.input_autocomplete.js"></script>

<script>
  $(document).ready(function(){
    $('.inputAutocomplete').inputAutocomplete({
      urlSource: 'source.json',  // Source file for dropdown values
      minLength: 1  // Minimum input length for autocompletion to show
    });
  });
</script>
```

#### `source.json`
POST: `search=o` (the input field have the value 'o')
```json
[
  {
    "text": "Volvo",
    "value": "vlvo"
  },
  {"text": "Opel"},
  {"text": "Peugeot"},
  {"type": "separator"},
  {
    "text": "Tesla Motors",
    "value": "tsla"
  }
]
```

In each of the source json array value we have multiple elements:

Name | Values | Description
--|---|--
 `text` | `string` | Text shown in the dropdown
 `value` | `string` | (Optional) Value put in input field when clicking on the option
 `type` | `string` | Set to `separator` if you want a separating line

## Installation
Some dependencies are required:
- **jQuery 3.x** (not the slim, it doesn't include Ajax which is required)
- **Bootstrap 4.x**


## Authors and acknowledgment
This project was done in an hour, will update it as I need it, feel free to share and contribute

## License
For open source projects, say how it is licensed.

## Project status
If you have run out of energy or time for your project, put a note at the top of the README saying that development has slowed down or stopped completely. Someone may choose to fork your project or volunteer to step in as a maintainer or owner, allowing your project to keep going. You can also make an explicit request for maintainers.
